> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to list metadata for all versions of a specific playbook.

# List all versions metadata of a playbook



## OpenAPI

````yaml get /workspace/{ws_id}/playbooks/{id}/versions
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/playbooks/{id}/versions:
    get:
      tags:
        - Workflows
      summary: List all versions metadata of a playbook
      description: List all versions metadata of a playbook
      operationId: GetVersionHistory
      parameters:
        - name: ws_id
          in: path
          description: The ID of the workspace containing the playbook
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the playbook to retrieve the versions of
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ordered list of playbook versions
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/playbook_versions.PlaybookVersion'
        '400':
          description: Missing or invalid path parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    playbook_versions.PlaybookVersion:
      type: object
      properties:
        branch:
          type: string
        branched_from:
          type: integer
        created_at:
          type: integer
        created_by:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        source:
          type: string
        version_id:
          type: integer
      description: The version data of a playbook.
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````